## rcpp 0.6.5

=== DESCRIPTION ===
Package: Rcpp
Title: Rcpp R/C++ interface package
Version: 0.6.5
Date: $Date: 2009-04-01 21:37:35 -0500 (Wed, 01 Apr 2009) $
Author: Dirk Eddelbuettel with contributions by 
 Simon Urbanek and David Reiss 
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: R/C++ interface classes and examples
 The Rcpp library maps data types betweeen R and 
 C++, and includes support for R types real, integer, 
 character, vector, matrix, Date, datetime (i.e. 
 POSIXct) at microsecond resolution, data frame, 
 and function. It also supports calling R functions 
 from C++. 
Depends: R (>= 2.0.0)
SystemRequirements: None
License: LGPL (>= 2.1)
Packaged: Wed Apr  1 21:49:34 2009; edd

## rcpp 0.7.3

=== DESCRIPTION ===
Package: Rcpp
Title: Rcpp R/C++ interface package
Version: 0.7.3
Date: $Date: 2010-01-21 21:14:59 -0600 (Thu, 21 Jan 2010) $
Author: Dirk Eddelbuettel and Romain Francois, with contributions 
 by Simon Urbanek and David Reiss; based on code written during 
 2005 and 2006 by Dominick Samperi 
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: R/C++ interface classes and examples
 The Rcpp library maps data types betweeen R and C++, and includes support
 for R types real, integer, character, vector, matrix, Date, datetime (i.e.
 POSIXct) at microsecond resolution, data frame, and function. Transfer to and
 from simple SEXP objects is particular easy. Calling R functions from C++ is
 also supported.
 .
 C++ code can be 'inlined' by using the 'inline' package which will create a
 C++ function and compile, link and load it given the 'inlined' character
 argument which makes C++ integration very easy.
 .
 Several examples are included.
Depends: R (>= 2.0.0)
Suggests: inline (>= 0.3.4), RUnit 
SystemRequirements: None
URL: http://dirk.eddelbuettel.com/code/rcpp.html, http://romainfrancois.blog.free.fr/index.php?category/R-package/Rcpp
License: GPL (>= 2)
Packaged: 2010-01-22 03:17:22 UTC; edd

## rcpp 0.8.2

=== DESCRIPTION ===
Package: Rcpp
Title: Rcpp R/C++ interface package
Version: 0.8.2
Date: $Date: 2010-06-09 11:19:44 -0500 (Wed, 09 Jun 2010) $
Author: Dirk Eddelbuettel and Romain Francois, with contributions 
 by Simon Urbanek, David Reiss and Douglas Bates; based on code written during 
 2005 and 2006 by Dominick Samperi 
Maintainer: Dirk Eddelbuettel and Romain Francois <RomainAndDirk@r-enthusiasts.com>
Description: Seamless R and C++ integration
 The Rcpp package contains a C++ library that facilitates the integration of
 R and C++ in various ways.
 .
 R data types (SEXP) are matched to C++ objects in a class hierarchy.  All R
 types are supported (vectors, functions, environment, etc ...)  and each
 type is mapped to a dedicated class. For example, numeric vectors are
 represented as instances of the Rcpp::NumericVector class, environments are
 represented as instances of Rcpp::Environment, functions are represented as
 Rcpp::Function, etc ...
 .
 The underlying C++ library also offers the Rcpp::wrap function which is a
 templated function that transforms an arbitrary object into a SEXP.  This
 makes it straightforward to implement C++ logic in terms of standard C++
 types such as STL containers and then wrap them when they need to be
 returned to R. Internally, wrap uses advanced template meta programming
 techniques and currently supports : primitive types (bool, int, double,
 size_t, Rbyte, Rcomplex, std::string), STL containers (e.g std::vector<T>)
 where T is wrappable, STL maps (e.g std::map<std::string,T>) where T is
 wrappable, and arbitrary types that support implicit conversion to SEXP.
 .
 The reverse conversion (from R to C++) is performed by the Rcpp::as function
 template offering a similar degree of flexibility.
 .
 The package also contains a set of classes---which we call the `classic Rcpp
 API'---that were provided in an earlier API for R and C++ integration. Due
 to its continued use, the classic API is retained and will be supported for
 the foreseable future. The classic API includes support for R types real,
 integer, character, vector, matrix, Date, datetime (i.e.  POSIXct) at
 microsecond resolution, data frame, and function. Transfer to and from
 simple or complex SEXP objects is made easy thanks to automatic conversion
 made possible by C++ template conversion. Calling R functions from C++ is
 also supported.
 .
 C++ code can be 'inlined' by using the 'inline' package which will create a
 C++ function and compile, link and load it given the 'inlined' character
 argument which makes C++ integration very easy.
 .
 Several examples are included, and over 550 unit tests in over 250 unit test
 functions provide addtional usage examples.
Depends: R (>= 2.10.0), methods
Suggests: RUnit, inline
SystemRequirements: GNU make
URL: http://dirk.eddelbuettel.com/code/rcpp.html, http://romainfrancois.blog.free.fr/index.php?category/R-package/Rcpp
License: GPL (>= 2)
BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
Packaged: 2010-06-09 16:26:59 UTC; edd

## rcpp 0.8.5

=== DESCRIPTION ===
Package: Rcpp
Title: Seamless R and C++ Integration
Version: 0.8.5
Date: $Date: 2010-07-25 11:37:44 -0500 (Sun, 25 Jul 2010) $
Author: Dirk Eddelbuettel and Romain Francois, with contributions 
 by Simon Urbanek, David Reiss and Douglas Bates; based on code written during 
 2005 and 2006 by Dominick Samperi 
Maintainer: Dirk Eddelbuettel and Romain Francois <RomainAndDirk@r-enthusiasts.com>
Description: The Rcpp package provides a C++ library which facilitates the 
 integration of R and C++.
 .
 R data types (SEXP) are matched to C++ objects in a class hierarchy.  All R
 types are supported (vectors, functions, environment, etc ...)  and each
 type is mapped to a dedicated class. For example, numeric vectors are
 represented as instances of the Rcpp::NumericVector class, environments are
 represented as instances of Rcpp::Environment, functions are represented as
 Rcpp::Function, etc ... The "Rcpp-introduction" vignette provides a good
 entry point to Rcpp. 
 .
 Conversion from C++ to R and back is driven by the templates Rcpp::wrap 
 and Rcpp::as which are highly flexible and extensible, as documented
 in the "Rcpp-extending" vignette.
 .
 Rcpp also provides Rcpp modules, a framework that allows exposing 
 C++ functions and classes to the R level. The "Rcpp-modules" vignette
 details the current set of features of Rcpp-modules. 
 .
 Rcpp includes a concept called Rcpp sugar that brings many R functions
 into C++. Sugar takes advantage of lazy evaluation and expression templates
 to achieve great performance while exposing a syntax that is much nicer
 to use than the equivalent low-level loop code. The "Rcpp-sugar" vignette
 gives an overview of the feature
 .
 Several examples are included, and 735 unit tests in 329 unit test functions
 provide additional usage examples.
Depends: R (>= 2.11.0), methods
Suggests: RUnit, inline
SystemRequirements: GNU make
URL: http://dirk.eddelbuettel.com/code/rcpp.html, http://romainfrancois.blog.free.fr/index.php?category/R-package/Rcpp
License: GPL (>= 2)
BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
Packaged: 2010-07-25 16:40:57 UTC; edd

## rcpp 0.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Package: Rcpp
 Title: Seamless R and C++ Integration
-Version: 0.8.5
-Date: $Date: 2010-07-25 11:37:44 -0500 (Sun, 25 Jul 2010) $
-Author: Dirk Eddelbuettel and Romain Francois, with contributions 
- by Simon Urbanek, David Reiss and Douglas Bates; based on code written during 
- 2005 and 2006 by Dominick Samperi 
+Version: 0.9.0
+Date: $Date: 2010-12-19 18:36:29 -0600 (Sun, 19 Dec 2010) $
+Author: Dirk Eddelbuettel and Romain Francois, 
+ with contributions by Douglas Bates and John Chambers
 Maintainer: Dirk Eddelbuettel and Romain Francois <RomainAndDirk@r-enthusiasts.com>
 Description: The Rcpp package provides a C++ library which facilitates the 
  integration of R and C++.
@@ -29,14 +28,20 @@
  into C++. Sugar takes advantage of lazy evaluation and expression templates
  to achieve great performance while exposing a syntax that is much nicer
  to use than the equivalent low-level loop code. The "Rcpp-sugar" vignette
- gives an overview of the feature
+ gives an overview of the feature.
  .
- Several examples are included, and 735 unit tests in 329 unit test functions
+ Several examples are included, and 745 unit tests in 328 unit test functions
  provide additional usage examples.
-Depends: R (>= 2.11.0), methods
-Suggests: RUnit, inline
-SystemRequirements: GNU make
+ .
+ An earlier version of Rcpp, containing what we now call the 'classic Rcpp
+ API' was written during 2005 and 2006 by Dominick Samperi.  This code has
+ been factored out of Rcpp into the package RcppClassic and it is still
+ available for code relying on this interface. New development should use 
+ this package instead.
+Depends: R (>= 2.12.0), methods
+Suggests: RUnit, inline, rbenchmark
 URL: http://dirk.eddelbuettel.com/code/rcpp.html, http://romainfrancois.blog.free.fr/index.php?category/R-package/Rcpp
 License: GPL (>= 2)
 BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
-Packaged: 2010-07-25 16:40:57 UTC; edd
+MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
+Packaged: 2010-12-20 00:40:07.608022 UTC; edd

## rcpp 0.9.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rcpp
 Title: Seamless R and C++ Integration
-Version: 0.9.0
-Date: $Date: 2010-12-19 18:36:29 -0600 (Sun, 19 Dec 2010) $
+Version: 0.9.5
+Date: $Date: 2011-07-05 21:35:50 -0500 (Tue, 05 Jul 2011) $
 Author: Dirk Eddelbuettel and Romain Francois, 
  with contributions by Douglas Bates and John Chambers
 Maintainer: Dirk Eddelbuettel and Romain Francois <RomainAndDirk@r-enthusiasts.com>
@@ -30,7 +30,7 @@
  to use than the equivalent low-level loop code. The "Rcpp-sugar" vignette
  gives an overview of the feature.
  .
- Several examples are included, and 745 unit tests in 328 unit test functions
+ Several examples are included, and 753 unit tests in 338 unit test functions
  provide additional usage examples.
  .
  An earlier version of Rcpp, containing what we now call the 'classic Rcpp
@@ -44,4 +44,4 @@
 License: GPL (>= 2)
 BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
 MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
-Packaged: 2010-12-20 00:40:07.608022 UTC; edd
+Packaged: 2011-07-06 02:39:36.205007 UTC; edd

## rcpp 0.9.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rcpp
 Title: Seamless R and C++ Integration
-Version: 0.9.5
-Date: $Date: 2011-07-05 21:35:50 -0500 (Tue, 05 Jul 2011) $
+Version: 0.9.7
+Date: $Date: 2011-09-29 17:26:58 -0500 (Thu, 29 Sep 2011) $
 Author: Dirk Eddelbuettel and Romain Francois, 
  with contributions by Douglas Bates and John Chambers
 Maintainer: Dirk Eddelbuettel and Romain Francois <RomainAndDirk@r-enthusiasts.com>
@@ -44,4 +44,4 @@
 License: GPL (>= 2)
 BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
 MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
-Packaged: 2011-07-06 02:39:36.205007 UTC; edd
+Packaged: 2011-09-29 22:31:03.21069 UTC; edd

## rcpp 0.9.8

=== DESCRIPTION ===
Package: Rcpp
Title: Seamless R and C++ Integration
Version: 0.9.8
Date: $Date: 2011-12-21 15:37:01 -0600 (Wed, 21 Dec 2011) $
Author: Dirk Eddelbuettel and Romain Francois, 
 with contributions by Douglas Bates and John Chambers
Maintainer: Dirk Eddelbuettel and Romain Francois <RomainAndDirk@r-enthusiasts.com>
Description: The Rcpp package provides a C++ library which facilitates the 
 integration of R and C++.
 .
  R data types (SEXP) are matched to C++ objects in a class hierarchy.  All R
 types are supported (vectors, functions, environment, etc ...)  and each
 type is mapped to a dedicated class. For example, numeric vectors are
 represented as instances of the Rcpp::NumericVector class, environments are
 represented as instances of Rcpp::Environment, functions are represented as
 Rcpp::Function, etc ... The "Rcpp-introduction" vignette provides a good
 entry point to Rcpp. 
 .
  Conversion from C++ to R and back is driven by the templates Rcpp::wrap 
 and Rcpp::as which are highly flexible and extensible, as documented
 in the "Rcpp-extending" vignette.
 .
  Rcpp also provides Rcpp modules, a framework that allows exposing 
 C++ functions and classes to the R level. The "Rcpp-modules" vignette
 details the current set of features of Rcpp-modules. 
 .
  Rcpp includes a concept called Rcpp sugar that brings many R functions
 into C++. Sugar takes advantage of lazy evaluation and expression templates
 to achieve great performance while exposing a syntax that is much nicer
 to use than the equivalent low-level loop code. The "Rcpp-sugar" vignette
 gives an overview of the feature.
 .
  Several examples are included, and more than 750 unit tests in over 330 unit
 test functions provide additional usage examples.
 .
  An earlier version of Rcpp, containing what we now call the 'classic Rcpp
 API' was written during 2005 and 2006 by Dominick Samperi.  This code has
 been factored out of Rcpp into the package RcppClassic, and it is still
 available for code relying on the older interface. New development, however, 
 should use the Rcpp package instead.
Depends: R (>= 2.12.0), methods, int64
Suggests: RUnit, inline, rbenchmark
URL: http://dirk.eddelbuettel.com/code/rcpp.html, http://romainfrancois.blog.free.fr/index.php?category/R-package/Rcpp
License: GPL (>= 2)
BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
Packaged: 2011-12-21 21:42:28.993285 UTC; edd

## rcpp 0.9.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rcpp
 Title: Seamless R and C++ Integration
-Version: 0.9.8
-Date: $Date: 2011-12-21 15:37:01 -0600 (Wed, 21 Dec 2011) $
+Version: 0.9.9
+Date: $Date: 2011-12-25 14:14:33 -0600 (Sun, 25 Dec 2011) $
 Author: Dirk Eddelbuettel and Romain Francois, 
  with contributions by Douglas Bates and John Chambers
 Maintainer: Dirk Eddelbuettel and Romain Francois <RomainAndDirk@r-enthusiasts.com>
@@ -38,10 +38,10 @@
  been factored out of Rcpp into the package RcppClassic, and it is still
  available for code relying on the older interface. New development, however, 
  should use the Rcpp package instead.
-Depends: R (>= 2.12.0), methods, int64
+Depends: R (>= 2.12.0), methods
 Suggests: RUnit, inline, rbenchmark
 URL: http://dirk.eddelbuettel.com/code/rcpp.html, http://romainfrancois.blog.free.fr/index.php?category/R-package/Rcpp
 License: GPL (>= 2)
 BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
 MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
-Packaged: 2011-12-21 21:42:28.993285 UTC; edd
+Packaged: 2011-12-25 20:19:57.44161 UTC; edd

## rcpp 0.9.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: Rcpp
 Title: Seamless R and C++ Integration
-Version: 0.9.9
-Date: $Date: 2011-12-25 14:14:33 -0600 (Sun, 25 Dec 2011) $
-Author: Dirk Eddelbuettel and Romain Francois, 
- with contributions by Douglas Bates and John Chambers
+Version: 0.9.10
+Date: $Date: 2012-02-16 14:06:32 -0600 (Thu, 16 Feb 2012) $
+Author: Dirk Eddelbuettel and Romain Francois, with contributions 
+ by Douglas Bates and John Chambers
 Maintainer: Dirk Eddelbuettel and Romain Francois <RomainAndDirk@r-enthusiasts.com>
-Description: The Rcpp package provides a C++ library which facilitates the 
- integration of R and C++.
+Description: The Rcpp package provides R functions as well as a C++ library
+ which facilitate the integration of R and C++.
  .
   R data types (SEXP) are matched to C++ objects in a class hierarchy.  All R
  types are supported (vectors, functions, environment, etc ...)  and each
@@ -36,12 +36,12 @@
   An earlier version of Rcpp, containing what we now call the 'classic Rcpp
  API' was written during 2005 and 2006 by Dominick Samperi.  This code has
  been factored out of Rcpp into the package RcppClassic, and it is still
- available for code relying on the older interface. New development, however, 
- should use the Rcpp package instead.
+ available for code relying on the older interface. New development should 
+ use alwayse use this Rcpp package instead.
 Depends: R (>= 2.12.0), methods
 Suggests: RUnit, inline, rbenchmark
 URL: http://dirk.eddelbuettel.com/code/rcpp.html, http://romainfrancois.blog.free.fr/index.php?category/R-package/Rcpp
 License: GPL (>= 2)
 BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
 MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
-Packaged: 2011-12-25 20:19:57.44161 UTC; edd
+Packaged: 2012-02-16 21:08:45.015763 UTC; edd

## rcpp 0.9.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: Rcpp
 Title: Seamless R and C++ Integration
-Version: 0.9.10
-Date: $Date: 2012-02-16 14:06:32 -0600 (Thu, 16 Feb 2012) $
+Version: 0.9.13
+Date: $Date: 2012-06-28 23:06:24 -0500 (Thu, 28 Jun 2012) $
 Author: Dirk Eddelbuettel and Romain Francois, with contributions 
  by Douglas Bates and John Chambers
-Maintainer: Dirk Eddelbuettel and Romain Francois <RomainAndDirk@r-enthusiasts.com>
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: The Rcpp package provides R functions as well as a C++ library
  which facilitate the integration of R and C++.
  .
@@ -30,18 +30,19 @@
  to use than the equivalent low-level loop code. The "Rcpp-sugar" vignette
  gives an overview of the feature.
  .
-  Several examples are included, and more than 750 unit tests in over 330 unit
+  Several examples are included, and more than 770 unit tests in over 349 unit
  test functions provide additional usage examples.
  .
   An earlier version of Rcpp, containing what we now call the 'classic Rcpp
  API' was written during 2005 and 2006 by Dominick Samperi.  This code has
  been factored out of Rcpp into the package RcppClassic, and it is still
  available for code relying on the older interface. New development should 
- use alwayse use this Rcpp package instead.
-Depends: R (>= 2.12.0), methods
+ always use this Rcpp package instead.
+Depends: R (>= 2.15.1)
+Imports: methods
 Suggests: RUnit, inline, rbenchmark
 URL: http://dirk.eddelbuettel.com/code/rcpp.html, http://romainfrancois.blog.free.fr/index.php?category/R-package/Rcpp
 License: GPL (>= 2)
 BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
 MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
-Packaged: 2012-02-16 21:08:45.015763 UTC; edd
+Packaged: 2012-06-29 04:19:27.598767 UTC; edd

## rcpp 0.10.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: Rcpp
 Title: Seamless R and C++ Integration
-Version: 0.9.13
-Date: $Date: 2012-06-28 23:06:24 -0500 (Thu, 28 Jun 2012) $
+Version: 0.10.2
+Date: $Date: 2012-12-21 06:24:27 -0600 (Fri, 21 Dec 2012) $
 Author: Dirk Eddelbuettel and Romain Francois, with contributions 
- by Douglas Bates and John Chambers
+ by Douglas Bates, John Chambers and JJ Allaire
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: The Rcpp package provides R functions as well as a C++ library
  which facilitate the integration of R and C++.
@@ -30,7 +30,14 @@
  to use than the equivalent low-level loop code. The "Rcpp-sugar" vignette
  gives an overview of the feature.
  .
-  Several examples are included, and more than 770 unit tests in over 349 unit
+  Rcpp attributes provide a high-level syntax for declaring C++
+ functions as callable from R and automatically generating the code
+ required to invoke them.  Attributes are intended to facilitate both
+ interactive use of C++ within R sessions as well as to support R
+ package development. Attributes are built on top of Rcpp modules and
+ their implementation is based on previous work in the inline package.
+ .
+  Many examples are included, and over 870 unit tests in over 390 unit
  test functions provide additional usage examples.
  .
   An earlier version of Rcpp, containing what we now call the 'classic Rcpp
@@ -45,4 +52,4 @@
 License: GPL (>= 2)
 BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
 MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
-Packaged: 2012-06-29 04:19:27.598767 UTC; edd
+Packaged: 2012-12-21 12:29:41.246628 UTC; edd

## rcpp 0.10.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rcpp
 Title: Seamless R and C++ Integration
-Version: 0.10.2
-Date: $Date: 2012-12-21 06:24:27 -0600 (Fri, 21 Dec 2012) $
+Version: 0.10.4
+Date: $Date: 2013-06-23 10:24:59 -0500 (Sun, 23 Jun 2013) $
 Author: Dirk Eddelbuettel and Romain Francois, with contributions 
  by Douglas Bates, John Chambers and JJ Allaire
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
@@ -37,7 +37,7 @@
  package development. Attributes are built on top of Rcpp modules and
  their implementation is based on previous work in the inline package.
  .
-  Many examples are included, and over 870 unit tests in over 390 unit
+  Many examples are included, and around 881 unit tests in 412 unit
  test functions provide additional usage examples.
  .
   An earlier version of Rcpp, containing what we now call the 'classic Rcpp
@@ -45,11 +45,15 @@
  been factored out of Rcpp into the package RcppClassic, and it is still
  available for code relying on the older interface. New development should 
  always use this Rcpp package instead.
+ .
+  Additional documentation is available via the paper by Eddelbuettel and
+ Francois (2011, JSS) paper and the book by Eddelbuettel (2013, Springer); 
+ see 'citation("Rcpp")' for details.
 Depends: R (>= 2.15.1)
 Imports: methods
 Suggests: RUnit, inline, rbenchmark
-URL: http://dirk.eddelbuettel.com/code/rcpp.html, http://romainfrancois.blog.free.fr/index.php?category/R-package/Rcpp
+URL: http://www.rcpp.org, http://dirk.eddelbuettel.com/code/rcpp.html, http://blog.r-enthusiasts.com/tag/rcpp/
 License: GPL (>= 2)
 BugReports: http://r-forge.r-project.org/tracker/?atid=637&group_id=155&func=browse
 MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
-Packaged: 2012-12-21 12:29:41.246628 UTC; edd
+Packaged: 2013-06-24 00:20:01.52137 UTC; edd

## rcpp 0.11.0-1

=== DESCRIPTION ===
Package: Rcpp
Title: Seamless R and C++ Integration
Version: 0.11.0
Date: 2014-02-02
Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org" ),
             person("Romain", "Francois", role = "aut", email = "romain@r-enthusiasts.com"),
             person("JJ", "Allaire", role = "ctb", email = "jj.allaire@gmail.com"),
             person("John", "Chambers", role = "ctb", email = "jmc@r-project.org"),
             person("Douglas", "Bates", role = "ctb", email = "bates@stat.wisc.edu"),
             person("Kevin", "Ushey", role = "ctb", email = "kevinushey@gmail.com"))
Description: The Rcpp package provides R functions as well as a C++ library
 which facilitate the integration of R and C++.
 .
   R data types (SEXP) are matched to C++ objects in a class hierarchy.  All R
 types are supported (vectors, functions, environment, etc ...)  and each
 type is mapped to a dedicated class. For example, numeric vectors are
 represented as instances of the Rcpp::NumericVector class, environments are
 represented as instances of Rcpp::Environment, functions are represented as
 Rcpp::Function, etc ... The "Rcpp-introduction" vignette provides a good
 entry point to Rcpp.
 .
   Conversion from C++ to R and back is driven by the templates Rcpp::wrap
 and Rcpp::as which are highly flexible and extensible, as documented
 in the "Rcpp-extending" vignette.
 .
   Rcpp also provides Rcpp modules, a framework that allows exposing
 C++ functions and classes to the R level. The "Rcpp-modules" vignette
 details the current set of features of Rcpp-modules.
 .
   Rcpp includes a concept called Rcpp sugar that brings many R functions
 into C++. Sugar takes advantage of lazy evaluation and expression templates
 to achieve great performance while exposing a syntax that is much nicer
 to use than the equivalent low-level loop code. The "Rcpp-sugar" vignette
 gives an overview of the feature.
 .
   Rcpp attributes provide a high-level syntax for declaring C++
 functions as callable from R and automatically generating the code
 required to invoke them.  Attributes are intended to facilitate both
 interactive use of C++ within R sessions as well as to support R
 package development. Attributes are built on top of Rcpp modules and
 their implementation is based on previous work in the inline package.
 .
   Many examples are included, and around 891 unit tests in 430 unit
 test functions provide additional usage examples.
 .
   An earlier version of Rcpp, containing what we now call the 'classic Rcpp
 API' was written during 2005 and 2006 by Dominick Samperi.  This code has
 been factored out of Rcpp into the package RcppClassic, and it is still
 available for code relying on the older interface. New development should
 always use this Rcpp package instead.
 .
   Additional documentation is available via the paper by Eddelbuettel and
 Francois (2011, JSS) paper and the book by Eddelbuettel (2013, Springer);
 see 'citation("Rcpp")' for details.
Depends: R (>= 3.0.0)
Imports: methods
Suggests: RUnit, inline, rbenchmark, highlight
VignetteBuilder: highlight
URL: http://www.rcpp.org, http://dirk.eddelbuettel.com/code/rcpp.html, https://github.com/RcppCore/Rcpp
License: GPL (>= 2)
BugReports: https://github.com/RcppCore/Rcpp/issues
MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
Packaged: 2014-02-02 14:27:39.686013 UTC; edd
Author: Dirk Eddelbuettel [aut, cre],
  Romain Francois [aut],
  JJ Allaire [ctb],
  John Chambers [ctb],
  Douglas Bates [ctb],
  Kevin Ushey [ctb]
Maintainer: Dirk Eddelbuettel <edd@debian.org>

=== inst/examples/ConvolveBenchmarks/Makefile ===

## comment this out if you need a different version of R, 
## and set set R_HOME accordingly as an environment variable
R_HOME := 		$(shell R RHOME)

## include headers and libraries for R 
RCPPFLAGS := 		$(shell $(R_HOME)/bin/R CMD config --cppflags)
RLDFLAGS := 		$(shell $(R_HOME)/bin/R CMD config --ldflags)

## include headers and libraries for Rcpp interface classes
RCPPINCL := 		$(shell echo 'Rcpp:::CxxFlags()' | $(R_HOME)/bin/R --vanilla --slave)
RCPPLIBS := 		$(shell echo 'Rcpp:::LdFlags()'  | $(R_HOME)/bin/R --vanilla --slave)

c_sources := 		$(wildcard *.c)
c_sharedlibs := 	$(patsubst %.c,%.o,$(c_sources))

cpp_sources := 		$(wildcard *.cpp)
cpp_sharedlibs := 	$(patsubst %.cpp,%.o,$(cpp_sources))

all :			$(c_sharedlibs) $(cpp_sharedlibs)

%.o : 			%.c
			R CMD SHLIB $<

%.o : 			%.cpp
			PKG_CPPFLAGS="$(RCPPFLAGS) $(RCPPINCL)" PKG_LIBS="$(RLDFLAGS) $(RCPPLIBS)" R CMD SHLIB $<

run :			$(c_sharedlibs) $(cpp_sharedlibs)
			Rscript exampleRCode.r

=== inst/unitTests/testRcppClass/DESCRIPTION ===
Package: testRcppClass
Type: Package
Title: Some examples using Rcpp classes and loadModule()
Version: 0.1
Date: 2012-04-06
Author: JMC
Maintainer:  <jmc@stat.stanford.edu>
Description: Some examples from the Rcpp Modules documentation, with
 load-time creation of classes that extend C++ classes and with
 explicit loading of some objects.
License: GPL(>=2)
LazyLoad: yes
Depends: R (>= 2.15.0), Rcpp, methods
Imports: Rcpp (>= 0.8.5), methods
LinkingTo: Rcpp
Packaged: 2012-04-14 18:42:28 UTC; jmc

=== inst/unitTests/testRcppModule/DESCRIPTION ===
Package: testRcppModule
Type: Package
Title: Some test examples using Rcpp with the Module feature
Version: 0.1
Date: 2010-09-06
Author: JMC
Maintainer:  <jmc@stat.stanford.edu>
Description: Some examples taken (and perhaps modified) from the Rcpp	Modules documentation.
License: GPL(>=2)
LazyLoad: yes
Depends: methods, Rcpp (>= 0.8.5)
LinkingTo: Rcpp
RcppModules: yada, stdVector, NumEx
Packaged: 2010-09-09 18:42:28 UTC; jmc

=== debian/changelog ===
rcpp (0.11.0-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 Feb 2014 08:22:46 -0600

rcpp (0.10.6-1) unstable; urgency=low

  * New release
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add 'r-cran-codetools' to Build-Depends (as it is 
    used at preparation for LazyLoading stage) 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Oct 2013 09:42:30 -0500

rcpp (0.10.5-1) unstable; urgency=low

  * New release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Sep 2013 07:28:48 -0500

rcpp (0.10.4-1) unstable; urgency=low

  * New release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Jun 2013 09:02:24 -0500

rcpp (0.10.3-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 18:04:44 -0500

rcpp (0.10.3-1) unstable; urgency=low

  * New release

  * src/Timer.cpp: Changed to permit *BSD builds 	(Closes: #697032)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Mar 2013 07:42:26 -0500

rcpp (0.10.2-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Dec 2012 06:22:53 -0600

rcpp (0.10.1-1) unstable; urgency=low

  * New release
  
  * inst/include/Rcpp/iostream/Rostream.h: Additional fix that didn't make
    it into 0.10.1

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 27 Nov 2012 08:20:54 -0600

rcpp (0.10.0-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Nov 2012 19:55:10 -0600

rcpp (0.9.15-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Oct 2012 16:01:04 -0500

rcpp (0.9.14-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Sep 2012 08:07:51 -0500

rcpp (0.9.13-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Jun 2012 21:20:47 -0500

rcpp (0.9.12-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Jun 2012 11:20:06 -0500

rcpp (0.9.11-1) unstable; urgency=low

  * New release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 22 Jun 2012 06:22:00 -0500

rcpp (0.9.10-1) unstable; urgency=low

  * New release

  * debian/control: Updated (Build-)Depends: to current R version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Feb 2012 07:10:16 -0600

rcpp (0.9.9-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Dec 2011 09:30:03 -0600

rcpp (0.9.8-1) unstable; urgency=low

  * New release

  * debian/control: Updated Standard-Versions: to current version
  * debian/control: Updated (Build-)Depends: to current R version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Dec 2011 10:50:09 -0600

rcpp (0.9.7-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Sep 2011 14:53:21 -0500

rcpp (0.9.6-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Jul 2011 19:18:20 -0500

rcpp (0.9.5-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jul 2011 21:14:26 -0500

rcpp (0.9.4-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 12 Apr 2011 10:12:37 -0500

rcpp (0.9.3-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Apr 2011 12:11:12 -0500

rcpp (0.9.2-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Feb 2011 13:58:14 -0600

rcpp (0.9.1-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Feb 2011 06:54:24 -0600

rcpp (0.9.0-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Dec 2010 18:35:01 -0600

rcpp (0.8.9-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 Nov 2010 22:53:27 -0600

rcpp (0.8.8-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Nov 2010 17:16:36 -0500

rcpp (0.8.7-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Oct 2010 05:12:31 -0500

rcpp (0.8.6-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Sep 2010 12:21:21 -0500

rcpp (0.8.5-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jul 2010 11:34:27 -0500

rcpp (0.8.4-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 09 Jul 2010 09:39:20 -0500

rcpp (0.8.3-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Jun 2010 16:40:23 -0500

rcpp (0.8.2-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 Jun 2010 11:03:23 -0500

rcpp (0.8.1-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Jun 2010 05:18:34 -0500

rcpp (0.8.0-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 May 2010 06:41:54 -0500

rcpp (0.7.12-1) unstable; urgency=low

   * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Apr 2010 06:23:46 -0500
  

rcpp (0.7.11-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Mar 2010 15:14:58 -0500

rcpp (0.7.10-1) unstable; urgency=low

  * New release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 15 Mar 2010 14:58:40 -0500

rcpp (0.7.9-1) unstable; urgency=low

  * New release



=== debian/control ===
Source: rcpp
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.0.2), cdbs, r-cran-codetools
Standards-Version: 3.9.5
Homepage: http://dirk.eddelbuettel.com/code/rcpp.html

Package: r-cran-rcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, littler
Suggests: r-cran-inline
Description: GNU R package for Seamless R and C++ Integration
 The Rcpp package provides a C++ library which facilitates the
 integration of R and C++.
 .
 R data types (SEXP) are matched to C++ objects in a class hierarchy.  All R
 types are supported (vectors, functions, environment, etc ...)  and each
 type is mapped to a dedicated class. For example, numeric vectors are
 represented as instances of the Rcpp::NumericVector class, environments are
 represented as instances of Rcpp::Environment, functions are represented as
 Rcpp::Function, etc ... The "Rcpp-introduction" vignette provides a good
 entry point to Rcpp. 
 .
 Conversion from C++ to R and back is driven by the templates Rcpp::wrap 
 and Rcpp::as which are highly flexible and extensible, as documented
 in the "Rcpp-extending" vignette.
 .
 Rcpp also provides Rcpp modules, a framework that allows exposing 
 C++ functions and classes to the R level. The "Rcpp-modules" vignette
 details the current set of features of Rcpp-modules. 
 .
 Rcpp includes a concept called Rcpp sugar that brings many R functions
 into C++. Sugar takes advantage of lazy evaluation and expression templates
 to achieve great performance while exposing a syntax that is much nicer
 to use than the equivalent low-level loop code. The "Rcpp-sugar" vignette
 gives an overview of the feature.
 .
 Rcpp attributes provide a high-level syntax for declaring C++
 functions as callable from R and automatically generating the code
 required to invoke them.  Attributes are intended to facilitate both
 interactive use of C++ within R sessions as well as to support R
 package development. Attributes are built on top of Rcpp modules and
 their implementation is based on previous work in the inline package.
 .
 Many examples are included, and around 891 unit tests in 430 unit
 test functions provide additional usage examples.
 .
 An earlier version of Rcpp, containing what we now call the 'classic Rcpp
 API' was written during 2005 and 2006 by Dominick Samperi.  This code has
 been factored out of Rcpp into the package RcppClassic and it is still
 available for code relying on this interface. New development should use 
 this package instead.
 .
 Additional documentation is available via the paper by Eddelbuettel and
 Francois (2011, JSS) paper and the book by Eddelbuettel (2013, Springer); 
 see 'citation("Rcpp")' for details.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux rcpp package
# Copyright 2003-2013 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

## rcpp 0.11.2

=== DESCRIPTION ===
Package: Rcpp
Title: Seamless R and C++ Integration
Version: 0.11.2
Date: 2014-06-06
Author: Dirk Eddelbuettel, Romain Francois, JJ Allaire, Kevin Ushey, 
 Douglas Bates, and John Chambers
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: The Rcpp package provides R functions as well as a C++ library
 which facilitate the integration of R and C++.
 .
  R data types (SEXP) are matched to C++ objects in a class hierarchy.  All R
 types are supported (vectors, functions, environment, etc ...)  and each
 type is mapped to a dedicated class. For example, numeric vectors are
 represented as instances of the Rcpp::NumericVector class, environments are
 represented as instances of Rcpp::Environment, functions are represented as
 Rcpp::Function, etc ... The "Rcpp-introduction" vignette provides a good
 entry point to Rcpp.
 .
  Conversion from C++ to R and back is driven by the templates Rcpp::wrap
 and Rcpp::as which are highly flexible and extensible, as documented
 in the "Rcpp-extending" vignette.
 .
  Rcpp also provides Rcpp modules, a framework that allows exposing
 C++ functions and classes to the R level. The "Rcpp-modules" vignette
 details the current set of features of Rcpp-modules.
 .
  Rcpp includes a concept called Rcpp sugar that brings many R functions
 into C++. Sugar takes advantage of lazy evaluation and expression templates
 to achieve great performance while exposing a syntax that is much nicer
 to use than the equivalent low-level loop code. The "Rcpp-sugar" vignette
 gives an overview of the feature.
 .
  Rcpp attributes provide a high-level syntax for declaring C++
 functions as callable from R and automatically generating the code
 required to invoke them.  Attributes are intended to facilitate both
 interactive use of C++ within R sessions as well as to support R
 package development. Attributes are built on top of Rcpp modules and
 their implementation is based on previous work in the inline package.
 .
  Many examples are included, and around 900 unit tests in 446 unit
 test functions provide additional usage examples.
 .
  An earlier version of Rcpp, containing what we now call the 'classic Rcpp
 API' was written during 2005 and 2006 by Dominick Samperi.  This code has
 been factored out of Rcpp into the package RcppClassic, and it is still
 available for code relying on the older interface. New development should
 always use this Rcpp package instead.
 .
  Additional documentation is available via the paper by Eddelbuettel and
 Francois (2011, JSS) paper and the book by Eddelbuettel (2013, Springer);
 see 'citation("Rcpp")' for details.
Depends: R (>= 3.0.0)
Imports: methods
Suggests: RUnit, inline, rbenchmark, highlight
VignetteBuilder: highlight
URL: http://www.rcpp.org, http://dirk.eddelbuettel.com/code/rcpp.html, https://github.com/RcppCore/Rcpp
License: GPL (>= 2)
BugReports: https://github.com/RcppCore/Rcpp/issues
MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
Packaged: 2014-06-06 23:38:58.244113 UTC; edd

## rcpp 0.11.3

=== DESCRIPTION ===
Package: Rcpp
Title: Seamless R and C++ Integration
Version: 0.11.3
Date: 2014-09-27
Author: Dirk Eddelbuettel, Romain Francois, JJ Allaire, Kevin Ushey, 
 Douglas Bates, and John Chambers
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: The Rcpp package provides R functions as well as C++ classes which
 offer a seamless integration of R and C++. Many R data types and objects can be
 mapped back and forth to C++ equivalents which facilitates both writing of new
 code as well as easier integration of third-party libraries. Documentation 
 about Rcpp is provided by several vignettes included in this package, via the 
 Rcpp Gallery site at http://gallery.rcpp.org, the paper by Eddelbuettel and 
 Francois (2011, JSS), and the book by Eddelbuettel (2013, Springer); see 
 'citation("Rcpp")' for details on these last two.
Depends: R (>= 3.0.0)
Imports: methods
Suggests: RUnit, inline, rbenchmark, highlight, pkgKitten (>= 0.1.2)
VignetteBuilder: highlight
URL: http://www.rcpp.org, http://dirk.eddelbuettel.com/code/rcpp.html, https://github.com/RcppCore/Rcpp
License: GPL (>= 2)
BugReports: https://github.com/RcppCore/Rcpp/issues
MailingList: Please send questions and comments regarding Rcpp to rcpp-devel@lists.r-forge.r-project.org
Packaged: 2014-09-27 18:09:31.513913 UTC; edd

## rcpp 0.12.3

=== DESCRIPTION ===
Package: Rcpp
Title: Seamless R and C++ Integration
Version: 0.12.3
Date: 2016-01-10
Author: Dirk Eddelbuettel, Romain Francois, JJ Allaire, Kevin Ushey, 
 Qiang Kou, Douglas Bates and John Chambers
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: The 'Rcpp' package provides R functions as well as C++ classes which
 offer a seamless integration of R and C++. Many R data types and objects can be
 mapped back and forth to C++ equivalents which facilitates both writing of new
 code as well as easier integration of third-party libraries. Documentation 
 about 'Rcpp' is provided by several vignettes included in this package, via the 
 'Rcpp Gallery' site at <http://gallery.rcpp.org>, the paper by Eddelbuettel and 
 Francois (2011, JSS), and the book by Eddelbuettel (2013, Springer); see 
 'citation("Rcpp")' for details on these last two.
Depends: R (>= 3.0.0)
Imports: methods, utils
Suggests: RUnit, inline, rbenchmark, highlight, pkgKitten (>= 0.1.2)
VignetteBuilder: highlight
URL: http://www.rcpp.org, http://dirk.eddelbuettel.com/code/rcpp.html,
        https://github.com/RcppCore/Rcpp
License: GPL (>= 2)
BugReports: https://github.com/RcppCore/Rcpp/issues
MailingList: Please send questions and comments regarding Rcpp to
        rcpp-devel@lists.r-forge.r-project.org
NeedsCompilation: yes
Packaged: 2016-01-10 14:49:40.672352 UTC; edd
Repository: CRAN
Date/Publication: 2016-01-10 22:18:26

=== inst/unitTests/testRcppModule/DESCRIPTION ===
Package: testRcppModule
Type: Package
Title: Some test examples using Rcpp with the Module feature
Version: 0.1
Date: 2010-09-06
Author: John Chambers
Maintainer: John Chambers <jmc@stat.stanford.edu>
Description: Some examples taken (and perhaps modified) from the Rcpp Modules documentation.
License: GPL (>=2)
LazyLoad: yes
Depends: methods, Rcpp (>= 0.8.5)
LinkingTo: Rcpp
RcppModules: RcppModuleWorld, stdVector, NumEx
Packaged: 2010-09-09 18:42:28 UTC; jmc

## rcpp 0.12.9

=== DESCRIPTION ===
Package: testRcppPackage
Type: Package
Title: Small Test Package for Rcpp and Part of Rcpp Unit Tests
Version: 1.0
Date: 2010-04-10
Author: Dirk Eddelbuettel and Romain Francois
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: Small test package uses as part of Rcpp unit tests
License: GPL (>= 2)
LazyLoad: yes
Imports: Rcpp
LinkingTo: Rcpp
Packaged: 2014-10-03 13:28:00.055726 UTC; edd

## rcpp 0.12.15

=== DESCRIPTION ===
Package: Rcpp
Title: Seamless R and C++ Integration
Version: 0.12.15
Date: 2018-01-16
Author: Dirk Eddelbuettel, Romain Francois, JJ Allaire, Kevin Ushey, Qiang Kou,
 Nathan Russell, Douglas Bates and John Chambers
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: The 'Rcpp' package provides R functions as well as C++ classes which
 offer a seamless integration of R and C++. Many R data types and objects can be
 mapped back and forth to C++ equivalents which facilitates both writing of new
 code as well as easier integration of third-party libraries. Documentation 
 about 'Rcpp' is provided by several vignettes included in this package, via the 
 'Rcpp Gallery' site at <http://gallery.rcpp.org>, the paper by Eddelbuettel and 
 Francois (2011, <doi:10.18637/jss.v040.i08>), the book by Eddelbuettel (2013,
 <doi:10.1007/978-1-4614-6868-4>) and the paper by Eddelbuettel and Balamuta (2017,
 <doi:10.7287/peerj.preprints.3188v1>); see 'citation("Rcpp")' for details.
Depends: R (>= 3.0.0)
Imports: methods, utils
Suggests: RUnit, inline, rbenchmark, knitr, rmarkdown, pinp, pkgKitten
        (>= 0.1.2)
VignetteBuilder: knitr
URL: http://www.rcpp.org, http://dirk.eddelbuettel.com/code/rcpp.html,
        https://github.com/RcppCore/Rcpp
License: GPL (>= 2)
BugReports: https://github.com/RcppCore/Rcpp/issues
MailingList: Please send questions and comments regarding Rcpp to
        rcpp-devel@lists.r-forge.r-project.org
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-01-16 13:35:30.163816 UTC; edd
Repository: CRAN
Date/Publication: 2018-01-20 15:30:12 UTC
